summaryrefslogtreecommitdiff
path: root/misc
diff options
context:
space:
mode:
Diffstat (limited to 'misc')
-rwxr-xr-xmisc/SLA-dmg.sh73
-rw-r--r--misc/last-merged-ioq3-revision1
-rwxr-xr-xmisc/merge-ioq3-into-trem.sh112
-rw-r--r--misc/msvc/tremulous.sln21
-rw-r--r--misc/msvc/tremulous.vcproj65
5 files changed, 0 insertions, 272 deletions
diff --git a/misc/SLA-dmg.sh b/misc/SLA-dmg.sh
deleted file mode 100755
index af268f32..00000000
--- a/misc/SLA-dmg.sh
+++ /dev/null
@@ -1,73 +0,0 @@
-#!/bin/bash
-#
-# This script appends the text from Q3A_EULA.txt to a .dmg as a SLA resource
-#
-# usage is './SLA-dmg.sh /path/to/Q3A_EULA.txt /path/to/ioquake3.dmg'
-#
-
-if [ "x$1" = "x" ] || [ "x$2" = "x" ]; then
- echo "usage: ./SLA-dmg.sh /path/to/Q3A_EULA.txt /path/to/ioquake3.dmg"
- exit 1;
-fi
-
-if [ ! -r $1 ]; then
- echo "$1 is not a readable Q3A_EULA.txt file"
- exit 1;
-fi
-if [ ! -w $2 ]; then
- echo "$2 is not writable .dmg file"
- exit 1;
-fi
-touch tmp.r
-if [ ! -w tmp.r ]; then
- echo "Could not create temporary file tmp.r for writing"
- exit 1;
-fi
-
-echo "
-data 'LPic' (5000) {
- \$\"0002 0011 0003 0001 0000 0000 0002 0000\"
- \$\"0008 0003 0000 0001 0004 0000 0004 0005\"
- \$\"0000 000E 0006 0001 0005 0007 0000 0007\"
- \$\"0008 0000 0047 0009 0000 0034 000A 0001\"
- \$\"0035 000B 0001 0020 000C 0000 0011 000D\"
- \$\"0000 005B 0004 0000 0033 000F 0001 000C\"
- \$\"0010 0000 000B 000E 0000\"
-};
-
-data 'TEXT' (5002, \"English\") {
-" > tmp.r
-
-sed -e 's/"/\\"/g' -e 's/\(.*\)$/"\1\\n"/g' $1 >> tmp.r
-
-echo "
-};
-
-resource 'STR#' (5002, \"English\") {
- {
- \"English\",
- \"Agree\",
- \"Disagree\",
- \"Print\",
- \"Save...\",
- \"IMPORTANT - Read this License Agreement carefully before clicking on \"
- \"the \\\"Agree\\\" button. By clicking on the \\\"Agree\\\" button, you agree \"
- \"to be bound by the terms of the License Agreement.\",
- \"Software License Agreement\",
- \"This text cannot be saved. This disk may be full or locked, or the \"
- \"file may be locked.\",
- \"Unable to print. Make sure you have selected a printer.\"
- }
-};
-" >> tmp.r
-
-hdiutil convert -format UDCO -o tmp.dmg $2 || exit 1
-hdiutil unflatten tmp.dmg || exit 1
-/Developer/Tools/Rez /Developer/Headers/FlatCarbon/*.r tmp.r -a -o tmp.dmg \
- || exit 1
-hdiutil flatten tmp.dmg || exit 1
-hdiutil internet-enable -yes tmp.dmg || exit 1
-mv tmp.dmg $2 || (echo "Could not copy tmp.dmg to $2" && exit 1)
-rm tmp.dmg
-rm tmp.r
-echo "SLA $1 successfully added to $2"
diff --git a/misc/last-merged-ioq3-revision b/misc/last-merged-ioq3-revision
deleted file mode 100644
index 4cdf56c4..00000000
--- a/misc/last-merged-ioq3-revision
+++ /dev/null
@@ -1 +0,0 @@
-1f6703821f11be9c711c6ee42371ab290dd12776
diff --git a/misc/merge-ioq3-into-trem.sh b/misc/merge-ioq3-into-trem.sh
deleted file mode 100755
index 7bf0a319..00000000
--- a/misc/merge-ioq3-into-trem.sh
+++ /dev/null
@@ -1,112 +0,0 @@
-#! /bin/bash
-# TODO Consider rewrite in perl/python to make this a bit less crappy
-
-DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-PATCHES_DIR=${DIR}/patches
-LAST_REVISION_FILE=${DIR}/last-merged-ioq3-revision
-LAST_REVISION_TEMP_FILE=${LAST_REVISION_FILE}.temp
-
-if [ -f ${LAST_REVISION_TEMP_FILE} ]
-then
- LAST_REVISION=`cat ${LAST_REVISION_TEMP_FILE}`
-else
- LAST_REVISION=`cat ${LAST_REVISION_FILE}`
-fi
-
-set -f
-# Things that exist in ioq3 which we don't want
-EXCLUSIONS="BUGS ChangeLog README ./*.txt
- NOTTODO TODO misc/* *.mak src/cgame/*
- src/game/* src/ui/* src/q3_ui/* src/botlib/* ui/*"
-
-EXCLUDE_PARAMETERS=""
-for EXCLUSION in ${EXCLUSIONS}
-do
- EXCLUDE_PARAMETERS+="--exclude=${EXCLUSION} "
-done
-
-set +f
-
-PATCHES=`ls ${PATCHES_DIR}/*.patch 2> /dev/null`
-if [ -z "${PATCHES}" ]
-then
- echo "Fetching and generating patches..."
- git fetch https://github.com/ioquake/ioq3.git
-
- mkdir -p ${PATCHES_DIR}
- git format-patch -o ${PATCHES_DIR} ${LAST_REVISION}..FETCH_HEAD
-fi
-
-if [ -d ".git/rebase-apply" ]
-then
- echo "Failed patch detected."
-
- git diff --quiet --exit-code
- if [ "$?" -ne 0 ]
- then
- echo "Unstaged changes present; git add any that are pending:"
- git status
- exit 1
- fi
-
- PATCH=`ls ${PATCHES_DIR}/*.patch | head -n 1`
- SHA=`cat ${PATCH} | head -n 1 | awk '{print $2;}'`
- echo "Processing ${SHA} ${PATCH}..."
-
- DIFF=`git diff --cached`
- if [ -z "${DIFF}" ]
- then
- echo "Patch does nothing; skipping."
- read -p "Confirm skip? "
- git am --skip
- else
- read -p "Confirm resolve? "
- git am --resolved
- fi
-
- if [ "$?" -ne 0 ]
- then
- echo "Patch failed to apply."
- exit $?
- fi
-
- echo ${SHA} > ${LAST_REVISION_TEMP_FILE}
- rm ${PATCH}
-fi
-
-PATCHES=`ls ${PATCHES_DIR}/*.patch 2> /dev/null`
-if [ -n "${PATCHES}" ]
-then
- for PATCH in ${PATCHES}
- do
- SHA=`cat ${PATCH} | head -n 1 | awk '{print $2;}'`
- echo "Processing ${SHA} ${PATCH}..."
- cat ${PATCH} | sed -e 's/\([ab]\)\/code\//\1\/src\//g' | \
- git am ${EXCLUDE_PARAMETERS} --quiet --3way
-
- if [ "$?" -ne 0 ]
- then
- echo "Patch failed to apply."
- git status
- exit $?
- fi
-
- echo ${SHA} > ${LAST_REVISION_TEMP_FILE}
- rm ${PATCH}
- done
-else
- echo "Nothing to merge."
-fi
-
-# Finished merging so update the last revision marker
-if [ -f ${LAST_REVISION_TEMP_FILE} ]
-then
- diff ${LAST_REVISION_FILE} ${LAST_REVISION_TEMP_FILE} &> /dev/null
- if [ "$?" -ne 0 ]
- then
- mv ${LAST_REVISION_TEMP_FILE} ${LAST_REVISION_FILE}
- LAST_REVISION=`cat ${LAST_REVISION_FILE}`
- git add ${LAST_REVISION_FILE}
- git commit -m "Merged ioq3 ${LAST_REVISION}"
- fi
-fi
diff --git a/misc/msvc/tremulous.sln b/misc/msvc/tremulous.sln
deleted file mode 100644
index 8f52efc6..00000000
--- a/misc/msvc/tremulous.sln
+++ /dev/null
@@ -1,21 +0,0 @@
-¿
-Microsoft Visual Studio Solution File, Format Version 9.00
-# Visual C++ Express 2005
-Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "tremulous", "tremulous.vcproj", "{0D5316E4-B20F-4E09-8989-3B9064358F0C}"
-EndProject
-Global
- GlobalSection(SolutionConfigurationPlatforms) = preSolution
- Debug|Win32 = Debug|Win32
- Release|Win32 = Release|Win32
- EndGlobalSection
- GlobalSection(ProjectConfigurationPlatforms) = postSolution
- {0D5316E4-B20F-4E09-8989-3B9064358F0C}.Debug|Win32.ActiveCfg = Debug|Win32
- {0D5316E4-B20F-4E09-8989-3B9064358F0C}.Debug|Win32.Build.0 = Debug|Win32
- {0D5316E4-B20F-4E09-8989-3B9064358F0C}.Release|Win32.ActiveCfg = Release|Win32
- {0D5316E4-B20F-4E09-8989-3B9064358F0C}.Release|Win32.Build.0 = Release|Win32
- EndGlobalSection
- GlobalSection(SolutionProperties) = preSolution
- HideSolutionNode = FALSE
- EndGlobalSection
-EndGlobal
-
diff --git a/misc/msvc/tremulous.vcproj b/misc/msvc/tremulous.vcproj
deleted file mode 100644
index a5920782..00000000
--- a/misc/msvc/tremulous.vcproj
+++ /dev/null
@@ -1,65 +0,0 @@
-<?xml version="1.0" encoding="Windows-1252"?>
-<VisualStudioProject
- ProjectType="Visual C++"
- Version="8.00"
- Name="tremulous"
- ProjectGUID="{0D5316E4-B20F-4E09-8989-3B9064358F0C}"
- RootNamespace="tremulous"
- Keyword="MakeFileProj"
- >
- <Platforms>
- <Platform
- Name="Win32"
- />
- </Platforms>
- <ToolFiles>
- </ToolFiles>
- <Configurations>
- <Configuration
- Name="Debug|Win32"
- OutputDirectory="../../build/$(ConfigurationName)-Win32-x86"
- IntermediateDirectory="../../build/$(ConfigurationName)-Win32-x86"
- ConfigurationType="0"
- >
- <Tool
- Name="VCNMakeTool"
- BuildCommandLine="make -C ../../ debug"
- ReBuildCommandLine="make -C ../../ clean-debug debug"
- CleanCommandLine="make -C ../../ clean-debug"
- Output="$(Outdir)/tremulous.x86.exe"
- PreprocessorDefinitions=""
- IncludeSearchPath=""
- ForcedIncludes=""
- AssemblySearchPath=""
- ForcedUsingAssemblies=""
- CompileAsManaged=""
- />
- </Configuration>
- <Configuration
- Name="Release|Win32"
- OutputDirectory="../../build/$(ConfigurationName)-Win32-x86"
- IntermediateDirectory="../../build/$(ConfigurationName)-Win32-x86"
- ConfigurationType="0"
- >
- <Tool
- Name="VCNMakeTool"
- BuildCommandLine="make -C ../../ release"
- ReBuildCommandLine="make -C ../../ clean-release release"
- CleanCommandLine="make -C ../../ clean-release"
- Output="$(Outdir)/tremulous.x86.exe"
- PreprocessorDefinitions=""
- IncludeSearchPath=""
- ForcedIncludes=""
- AssemblySearchPath=""
- ForcedUsingAssemblies=""
- CompileAsManaged=""
- />
- </Configuration>
- </Configurations>
- <References>
- </References>
- <Files>
- </Files>
- <Globals>
- </Globals>
-</VisualStudioProject>